# Makefile for VgaGames: extlib/iolib/

IO_LIBS = `$(IOLIB_SCRIPT) --list`
IO_DEFS = `$(IOLIB_SCRIPT) --defines`


all: initdest.o
	for iolib in $(IO_LIBS); do \
	  (cd $$iolib && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" SOFLAGS="$(SOFLAGS)" IOLIB_SCRIPT="$(IOLIB_SCRIPT)" all); \
	done

clean:
	for iolib in `ls`; do test -d $$iolib && (cd $$iolib && $(MAKE) clean); done
	rm -f *.o


initdest.o: initdest.c
	$(CC) $(CFLAGS) $(IO_DEFS) $(SOFLAGS) -c initdest.c

